Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Thread_Descriptor_Base Class Reference

Basic information for thread descriptors. These information gets extracted out because we need it after a thread is terminated. More...

`#include <Thread_Manager.h>`

Inheritance diagram for ACE_Thread_Descriptor_Base:

[legend]
Collaboration diagram for ACE_Thread_Descriptor_Base:

[legend]
List of all members.

## Public Methods
| ACE_Thread_Descriptor_Base (void)
| ~ACE_Thread_Descriptor_Base (void)
int | operator== (const ACE_Thread_Descriptor_Base &rhs) const
| Equality operator. More...
int | operator!= (const ACE_Thread_Descriptor_Base &rhs) const
| Inequality operator. More...
int | grp_id (void) const
| Group ID. More...
ACE_UINT32 | state (void) const
| Current state of the thread. More...
ACE_Task_Base * | task (void) const
| Return the pointer to an <ACE_Task_Base> or NULL if there's no <ACE_Task_Base> associated with this thread.;. More...
## Protected Methods
void | reset (void)
| Reset this base thread descriptor. More...
## Protected Attributes
ACE_thread_t | thr_id_
| Unique thread ID. More...
ACE_hthread_t | thr_handle_
| Unique handle to thread (used by Win32 and AIX). More...
int | grp_id_
| Group ID. More...
ACE_UINT32 | thr_state_
| Current state of the thread. More...
ACE_Task_Base * | task_
| Pointer to an <ACE_Task_Base> or NULL if there's no <ACE_Task_Base>. More...
ACE_Thread_Descriptor_Base * | next_
| We need these pointers to maintain the double-linked list in a thread managers. More...
ACE_Thread_Descriptor_Base * | prev_
## Friends
class | ACE_Thread_Manager
class | ACE_Double_Linked_List< ACE_Thread_Descriptor_Base >
class | ACE_Double_Linked_List_Iterator_Base< ACE_Thread_Descriptor_Base >
class | ACE_Double_Linked_List_Iterator< ACE_Thread_Descriptor_Base >
class | ACE_Double_Linked_List< ACE_Thread_Descriptor >
class | ACE_Double_Linked_List_Iterator_Base< ACE_Thread_Descriptor >
class | ACE_Double_Linked_List_Iterator< ACE_Thread_Descriptor >

## Detailed Description

Basic information for thread descriptors. These information gets extracted out because we need it after a thread is terminated.

## Constructor & Destructor Documentation

ACE_INLINE ACE_Thread_Descriptor_Base::ACE_Thread_Descriptor_Base | ( | void |  | ) |

ACE_INLINE ACE_Thread_Descriptor_Base::~ACE_Thread_Descriptor_Base | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE int ACE_Thread_Descriptor_Base::grp_id | ( | void |  | ) | const

| Group ID.

ACE_INLINE int ACE_Thread_Descriptor_Base::operator!= | ( | const ACE_Thread_Descriptor_Base & | rhs | ) | const

| Inequality operator.

ACE_INLINE int ACE_Thread_Descriptor_Base::operator== | ( | const ACE_Thread_Descriptor_Base & | rhs | ) | const

| Equality operator.

ACE_INLINE void ACE_Thread_Descriptor_Base::reset | ( | void |  | ) | `[protected]`

| Reset this base thread descriptor.

ACE_INLINE ACE_UINT32 ACE_Thread_Descriptor_Base::state | ( | void |  | ) | const

| Current state of the thread.

ACE_INLINE ACE_Task_Base * ACE_Thread_Descriptor_Base::task | ( | void |  | ) | const

| Return the pointer to an <ACE_Task_Base> or NULL if there's no <ACE_Task_Base> associated with this thread.;.

## Friends And Related Function Documentation

friend class ACE_Double_Linked_List< ACE_Thread_Descriptor >`[friend]`

| Reimplemented in ACE_Thread_Descriptor.

friend class ACE_Double_Linked_List< ACE_Thread_Descriptor_Base >`[friend]`

friend class ACE_Double_Linked_List_Iterator< ACE_Thread_Descriptor >`[friend]`

| Reimplemented in ACE_Thread_Descriptor.

friend class ACE_Double_Linked_List_Iterator< ACE_Thread_Descriptor_Base >`[friend]`

friend class ACE_Double_Linked_List_Iterator_Base< ACE_Thread_Descriptor >`[friend]`

friend class ACE_Double_Linked_List_Iterator_Base< ACE_Thread_Descriptor_Base >`[friend]`

friend class ACE_Thread_Manager`[friend]`

| Reimplemented in ACE_Thread_Descriptor.

## Member Data Documentation

int ACE_Thread_Descriptor_Base::grp_id_`[protected]`

| Group ID.

ACE_Thread_Descriptor_Base* ACE_Thread_Descriptor_Base::next_`[protected]`

| We need these pointers to maintain the double-linked list in a thread managers.

ACE_Thread_Descriptor_Base* ACE_Thread_Descriptor_Base::prev_`[protected]`

ACE_Task_Base* ACE_Thread_Descriptor_Base::task_`[protected]`

| Pointer to an <ACE_Task_Base> or NULL if there's no <ACE_Task_Base>.

ACE_hthread_t ACE_Thread_Descriptor_Base::thr_handle_`[protected]`

| Unique handle to thread (used by Win32 and AIX).

ACE_thread_t ACE_Thread_Descriptor_Base::thr_id_`[protected]`

| Unique thread ID.

ACE_UINT32 ACE_Thread_Descriptor_Base::thr_state_`[protected]`

| Current state of the thread.

The documentation for this class was generated from the following files:

- Thread_Manager.h
- Thread_Manager.i